#ifndef MAX7219_H
#define	MAX7219_H
//------------------------Dot Matrix LED  Driver--------------------------------
#include "Soft_SPI.h"
#include "MAX7219_Prototypes.h"
//------------------------------------------------------------------------------
void MAX7219_init()
{
  SPI_init();
  
  MAX7219_write(DECODE_MODE_REG,DECODE_ALL);    
  MAX7219_write(INTESITY_REG,BRIGHTNESS);     
  MAX7219_write(SCAN_LIMIT_REG,SCAN_LOW_NIBBLE);     
  MAX7219_write(SHUTDOWN_REG,NORMAL_OPERATION);
  MAX7219_write(DISPLAY_TEST_REG,ENABLE_TEST_MODE);
  MAX7219_write(DISPLAY_TEST_REG,DISABLE_TEST_MODE);
}
//------------------------------------------------------------------------------
void MAX7219_write(char reg,char data)
{
  CS = 0; 
  
  SPI_write(reg); 
  SPI_write(data); 
  
  CS = 1;
}
//------------------------------------------------------------------------------
void MAX7219_displayNum(int number)
{   
  char digitReg = 1, numLen[10];
  
  char* strNum = itoa(numLen,number,10);    //Change to String (stdlib function)
  
  while(*strNum)
  { 
    char digit = (*strNum++) - 48;          //Decimal 48 is 0 in ASCII
    MAX7219_write(digitReg++,digit);
  }
}
//------------------------------------------------------------------------------
#endif	